
/**
 * Clase utilizada para probar el funcionamiento de GrupoFiguras.
 * 
 * @author Josep Silva 
 * @version 6 Octubre 2013
 */

public class UsoGrupoFiguras
{
    public static void main (String args[])
    {
        GrupoFiguras g =new GrupoFiguras();

        Circulo c1 = new Circulo(10,5,3.5);             // sin textura
        Rectangulo r1 = new Rectangulo(10,5,3.5,1);     // sin textura
        Rectangulo r2 = new Rectangulo(10,5,3.5,1,0);   // sin textura
        Rectangulo r3 = new Rectangulo(10,5,3.5,1,2);   // con textura
        
        g.anyadeFigura(c1);
        g.anyadeFigura(r1);
        g.anyadeFigura(r2);
        g.anyadeFigura(r3);
        
        System.out.println(g.numTexturas());            // Debe dar como resultado 1
    }
}
